Create service request history
https://api.propexo.com/v1/service-request-history/Generate service request history for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the service request
The Propexo unique identifier for the employee
The raw status associated with the service request history
Show 17 enum values
AssessmentCallCanceledCompletedElectricalEmergencyHVACIn ProgressInspectionOn HoldOtherPlumbingRequest ReassignmentScheduledServiceWebWork CompletedNotes associated with the service request history
Notes associated with the service request history
The title associated with the service request history
attachment object
Attachment file associated with the service request history
The contents of the file, as a base64 encoded string. The PMS has a max file size of 29 MB.
Possible values: <= 40443576 characters
The name of the file including the extension. Ex: "resume.pdf"
The mime type of the file. Ex: "application/pdf"
Response
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/service-request-history/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
{
"job_id": "string",
"data": {}
}